#include <avr/io.h>
#include <inttypes.h>
#include <util/delay.h>
#include "sw.h"

#define SW_PORT	PORT(SW)
#define SW_DDR	DDR(SW)
#define SW_PIN	PIN(SW)


uint8_t SwPress(void)
{
	uint8_t r,c;
	SW_PORT|=0x0F;

	for(c=0;c<1;c++)
	{
		SW_DDR&=~(0xFF);
		SW_DDR|=(0x80>>c);
		for(r=0;r<1;r++)
		{
			if(!(SW_PIN & (0x08>>r)))
			{
				return(r*1+c);
			}
		}
	}
	return 0XFF;
}
