#include <avr/io.h>
#include <inttypes.h>
#include "lcd.h"
#include "lcd_bl.h"
#include "sw.h"
#include "ui.h"
#include "forsmodes.h"

uint16_t SwGetPress(char *msg)
{
	uint8_t sw,x,pos;
	uint8_t prev_key=0XFF;

	while(1)
	{
		x=0;
		pos=1;

		LCDClear();
		LCDWriteStringXY(0,0,msg);
		LCDGotoXY(0,1);

		uint8_t key[]="124567890";
		uint8_t sys_rst=0;
		uint16_t bklight_timeout=8000;

		while(!sys_rst)
		{
			if(bklight_timeout>0)
			{
				bklight_timeout--;
				if(bklight_timeout==0)
				{
					LCDBlOff();
				}
			}
			sw=SwPress();
			if(sw==prev_key)
				continue;
			else if(sw==0xFF)
			{
				prev_key==0xFF;
				continue;
			}
			else
			{
				prev_key=sw;
			}
			if(sw!=0xFF)
			{
				LCDBlOn();
				bklight_timeout=8000;
			}
			if(pos==1)
			{
				while(1)
				{
					sw=SwPress();
					if(sw==4)
					{
						break;
					}
				}
					return(key[0]);
					LCDClear();
			}
			switch(sw)
			{
				case(11):
						LCDWriteStringXY(pos,1,"Test");
						key[x]="Test";
						_delay_loop_2(160);
						ForsModeTest();
				break;
				case(10):
						LCDWriteStringXY(pos,1,"Clean Fast");
						key[x]="Clean Fast";
						_delay_loop_2(160);
						ForsModeCleanFast();
				break;
				case(9):
						LCDWriteStringXY(pos,1,"Clean Slow");
						_delay_loop_2(160);
						ForsModeCleanSlow();
				break;
				case(8):
						LCDWriteStringXY(pos,1,"Strait");
						_delay_loop_2(160);
						ForsModeStrait();
				break;
				case(12):
						sys_rst==1;
				break;
				default: ;
			}
			_delay_loop_2(1600);
		}
	}
}
